> ## Documentation Index
> Fetch the complete documentation index at: https://developer.copper.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get agent wallets

> Get the active Hyperliquid agent (hot) wallets for a portfolio, or for every portfolio in an organization



## OpenAPI

````yaml /copper-open-api-public.json get /agent-wallets
openapi: 3.1.0
info:
  description: >-
    Copper API is based on the REST API interface provided for data exchange
    between a client and a server with the use of HTTPS requests and responses.

    By default, the request should include a Content-Type header set as
    application/json. Some requests require different header fields, as well as
    other Content-Type values. In this case, a proper header will be stated in
    an example.

    When interacting with the API, please note that all numerical values, such
    as order amounts or timestamps, should be transmitted as strings. This
    ensures consistent data representation and prevents potential issues with
    floating-point precision
  title: Copper Platform API
  version: latest
servers:
  - description: platform.copper.co
    url: https://api.copper.co/platform
  - description: demo.copper.co
    url: https://api.stage.copper.co/platform
  - description: testnet.copper.co
    url: https://api.testnet.copper.co/platform
security: []
tags:
  - name: reports
  - name: deposit-targets
  - name: lending
  - name: portfolios
  - name: wallets
  - name: network
  - name: stake
  - name: blockchain
  - name: organizations
  - name: files
  - name: orders
  - name: address-book
  - name: clearloop
  - name: currencies
paths:
  /agent-wallets:
    get:
      summary: Get agent wallets
      description: >-
        Get the active Hyperliquid agent (hot) wallets for a portfolio, or for
        every portfolio in an organization
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HyperliquidAgentWallet'
          description: OK
        '400':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: The machine-readable error code
                    examples:
                      - bad-request
                    type: string
                  message:
                    description: >-
                      A human-readable message providing more details about the
                      error
                    type: string
                type: object
          description: Bad Request
        '403':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: The machine-readable error code
                    examples:
                      - forbidden
                    type: string
                  message:
                    description: >-
                      A human-readable message providing more details about the
                      error
                    type: string
                type: object
          description: Forbidden
        '409':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: The machine-readable error code
                    examples:
                      - conflict
                    type: string
                  message:
                    description: >-
                      A human-readable message providing more details about the
                      error
                    type: string
                type: object
          description: Conflict
components:
  schemas:
    HyperliquidAgentWallet:
      properties:
        address:
          description: Agent (public) key address
          type: string
        createdAt:
          description: Creation timestamp of the originating activation order
          type: string
        createdBy:
          description: Creator user id of the originating activation order
          type: string
        id:
          description: >-
            Stable id for this wallet: the agent (public) key address for active
            keys, the order id for pending keys
          type: string
        name:
          description: Key name (agent name)
          type: string
        orderId:
          description: Id of the originating activation order
          type: string
        orderStatus:
          $ref: '#/components/schemas/OrderStatus'
          description: >-
            Status of the originating activation order. [See
            details](/enums/OrderStatus)
        portfolioId:
          description: Portfolio this agent wallet belongs to
          type: string
        revokeOrderId:
          description: >-
            Id of a pending revoke order targeting this agent wallet, if one
            exists (the key is being deleted)
          type: string
        status:
          $ref: '#/components/schemas/HyperliquidAgentWalletStatus'
          description: >-
            Status of this agent wallet. [See
            details](/enums/HyperliquidAgentWalletStatus)
        validUntil:
          description: >-
            Raw expiry from the activation step (unix-seconds); null/0 means no
            expiry
          type: string
      type: object
    OrderStatus:
      enum:
        - new
        - waiting-funds
        - reserving
        - reserved
        - queued
        - validating-funds
        - working
        - waiting-approve
        - co-sign-require
        - approved
        - processing
        - executed
        - canceled
        - rejecting
        - rejected
        - declining
        - declined
        - suspending
        - suspended
        - blocked
        - action-required
        - accepting
        - accepted
        - require-initializer-approve
        - waiting-counterparty-approve
        - require-counterparty-approve
        - ready-for-settlement
        - settled
        - part-signed-tx-added
        - full-signed-tx-added
        - rejected-part-signed-tx-added
        - rejected-full-signed-tx-added
        - accepted-part-signed-tx-added
        - accepted-full-signed-tx-added
        - awaiting-settlement
        - master-password-required
        - manual-resolving
        - error
        - pending-atomic-settlement-confirmation
        - atomic-settlement-reservation-completed
        - require-finalize
        - waiting-accept-deposit
        - waiting-reject-deposit
      type: string
    HyperliquidAgentWalletStatus:
      enum:
        - pending
        - active
        - inactive
      type: string

````